> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List invoice payments

> Returns a list of payments for an invoice receivable



## OpenAPI

````yaml /openapi-public.json get /v1/invoice-receivables/{invoiceReceivableId}/payments
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/invoice-receivables/{invoiceReceivableId}/payments:
    get:
      tags:
        - v1 - Invoice Receivables
      summary: List invoice payments
      description: Returns a list of payments for an invoice receivable
      operationId: listInvoiceReceivablePayments
      parameters:
        - name: invoiceReceivableId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ExternalInvoiceReceivablePaymentV1Model'
components:
  schemas:
    ExternalInvoiceReceivablePaymentV1Model:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the payment
          format: uuid
        invoiceReceivableId:
          type: string
          description: ID of the invoice receivable
          format: uuid
        amount:
          type: integer
          description: Payment amount in smallest denomination
          format: int64
        paymentDate:
          type: string
          description: Date the payment was made
          format: date
        currency:
          type: string
          example: USD
        payment:
          $ref: '#/components/schemas/ExternalInvoiceReceivablePaymentEntryV1Model'
        createdAt:
          type: string
          description: Timestamp when the payment was created
          format: date-time
    ExternalInvoiceReceivablePaymentEntryV1Model:
      type: object
      properties:
        type:
          type: string
          description: >-
            - `BP` - Bank payment

            - `CC` - Customer credit


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - BP
            - CC
      description: Type of payment entry for an invoice receivable payment
      nullable: true
      discriminator:
        propertyName: type
      oneOf:
        - $ref: >-
            #/components/schemas/ExternalInvoiceReceivablePaymentBankPaymentEntryV1Model
        - $ref: >-
            #/components/schemas/ExternalInvoiceReceivablePaymentCustomerCreditEntryV1Model
    ExternalInvoiceReceivablePaymentBankPaymentEntryV1Model:
      title: Bank payment
      type: object
      allOf:
        - $ref: '#/components/schemas/ExternalInvoiceReceivablePaymentEntryV1Model'
        - type: object
          properties:
            bankAccountId:
              type: string
              description: ID of the bank account
              format: uuid
              nullable: true
            endToEndId:
              type: string
              description: End-to-end ID for the payment
              nullable: true
            originalAmount:
              type: integer
              description: Original payment amount in smallest denomination
              format: int64
            originalCurrency:
              type: string
              example: USD
            accountingDocumentId:
              type: string
              description: ID of the accounting document
              format: uuid
    ExternalInvoiceReceivablePaymentCustomerCreditEntryV1Model:
      title: Customer credit
      type: object
      allOf:
        - $ref: '#/components/schemas/ExternalInvoiceReceivablePaymentEntryV1Model'
        - type: object
          properties:
            accountingDocumentId:
              type: string
              description: ID of the accounting document
              format: uuid
            amount:
              type: integer
              description: Payment amount in smallest denomination
              format: int64
              nullable: true
            documentNumber:
              type: string
              description: Document number
              nullable: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````